Bug 56655

Summary: [GTK] Expose the AtkValue interface for WAI-ARIA sliders
Product: WebKit Reporter: Mario Sanchez Prada <mario>
Component: AccessibilityAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: jdiggs, mrobinson
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on: 56953    
Bug Blocks: 30796    
Attachments:
Description Flags
Patch proposal + Layout test mrobinson: review+

Description Mario Sanchez Prada 2011-03-18 10:29:40 PDT
HTML/CSS/JavaScript Sliders created using the WAI-ARIA specification should be exposed in WebKitGTK implementing the AtkValue interface, which is not happening right now.

In more detail, the following functions should be implemented:

 atk_value_get_current_value
 atk_value_get_maximum_value
 atk_value_get_minimum_value
 atk_value_set_current_value
 atk_value_get_minimum_increment  

Use this example as reference:
http://test.cita.illinois.edu/aria/slider/slider1.php
Comment 1 Mario Sanchez Prada 2011-03-23 15:16:33 PDT
Created attachment 86703 [details]
Patch proposal + Layout test

Patch proposal + Layout test for this
Comment 2 Martin Robinson 2011-03-25 09:34:08 PDT
Comment on attachment 86703 [details]
Patch proposal + Layout test

View in context: https://bugs.webkit.org/attachment.cgi?id=86703&action=review

> Source/WebCore/accessibility/gtk/AXObjectCacheAtk.cpp:156
> +        GValue gValue = { 0 };
> +        atk_value_get_current_value(ATK_VALUE(axObject), &gValue);
> +
> +        AtkPropertyValues propertyValues;
> +        propertyValues.property_name = "accessible-value";
> +        propertyValues.new_value = gValue;
> +

Would it make sense to simply do:

atk_value_get_current_value(ATK_VALUE(axObject), &propertyValues.new_value);
Comment 3 Mario Sanchez Prada 2011-03-28 03:15:54 PDT
(In reply to comment #2)
> (From update of attachment 86703 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=86703&action=review
> 
> > Source/WebCore/accessibility/gtk/AXObjectCacheAtk.cpp:156
> > +        GValue gValue = { 0 };
> > +        atk_value_get_current_value(ATK_VALUE(axObject), &gValue);
> > +
> > +        AtkPropertyValues propertyValues;
> > +        propertyValues.property_name = "accessible-value";
> > +        propertyValues.new_value = gValue;
> > +
> 
> Would it make sense to simply do:
> 
> atk_value_get_current_value(ATK_VALUE(axObject), &propertyValues.new_value);

Yes, I'll change that.

Thanks
Comment 4 Mario Sanchez Prada 2011-03-28 03:16:53 PDT
Committed r82095: <http://trac.webkit.org/changeset/82095>